Disables all targeting rules for the specified placement.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/placement/{placementId}/targeting/disable.do
Disables all targeting rules for the specified placement. When disabled, targeting rules are preserved but not evaluated during ad serving. Cannot be disabled if the placement has blocked or blocking entity records. Requires UPDATE permission on the placement and MANAGE_SUPPLY_PRE_TARGETING user permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/placement/4001/targeting/disable.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());